list.files {base} | R Documentation

## List the Files in a Directory/Folder

### Description

This function produces a list containing the names of files in the named directory. `dir` is an alias.

### Usage

    list.files(path = ".", pattern=NULL, all.files=FALSE, full.names=FALSE)
           dir(path = ".", pattern=NULL, all.files=FALSE, full.names=FALSE)

### Arguments

`path` | a character vector of full path names.
`pattern` | an optional regular expression. Only file names which match the regular expression will be returned.
`all.files` | a logical value. If `FALSE`, only the names of visible files are returned. If `TRUE`, all file names will be returned.
`full.names` | a logical value. If `TRUE`, the directory path is prepended to the file names. If `FALSE`, only the file names are returned.

### Value

A character vector containing the names of the files in the specified directories, or `""` if there were no files. If a path does not exist or is not a directory or is unreadable it is skipped, with a warning.
The files are sorted in alphabetical order, on the full path if `full.names = TRUE`.

### Note

File naming conventions are very platform dependent.

### Author(s)

Ross Ihaka

### See Also

`file.info`, `file.access` and `files` for many more file handling functions.

### Examples

    list.files(R.home())
    ## Only files starting with a-l or r (*including* uppercase):
    dir("../..", pattern = "^[a-lr]",full.names=TRUE)